clang-tools 10.0.0

Classes | Namespaces | Enumerations
Relation.h File Reference
`#include "SymbolID.h"`
`#include "SymbolLocation.h"`
`#include "clang/Index/IndexSymbol.h"`
`#include "llvm/ADT/iterator_range.h"`
`#include <cstdint>`
`#include <utility>`
Include dependency graph for Relation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::Relation
| Represents a relation between two symbols. More...
class | clang::clangd::RelationSlab
class | clang::clangd::RelationSlab::Builder
| RelationSlab::Builder is a mutable container that can 'freeze' to RelationSlab. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Enumerations
enum | clang::clangd::RelationKind : uint8_t { clang::clangd::RelationKind::BaseOf }